Page MenuHomePhabricator

Allow user to set the language preference when creating an account
Open, NormalPublic

Description

Currently when users register at sites like Commons or Meta there is no way of knowing for them that aside from the different versions/translations of pages that there is also an option in the preferences to change the language which affects the user interface and templates like LangSwitch.

Perhaps this should become an option during registration.
There currently already is a set of uselang-links on the login and sign up page that will show that page in a different language, this new dropdown menu on the registration page would assume the value of the current uselang so that people going to http://commons.wikimedia.org/w/index.php?title=Special:UserLogin&uselang=de&type=signup or http://commons.wikimedia.org/wiki/Special:UserLogin/signup?uselang=de don't have to change the dropdown menu (asuming they want it to be German)

Krinkle


Version: unspecified
Severity: enhancement

Details

Reference
bz25815

Related Objects

StatusAssignedTask
ResolvedNone
Resolved Nikerabbit
ResolvedNone
OpenNone
OpenNone
OpenNone
Duplicate Nikerabbit
ResolvedNone
ResolvedNone
Resolvedsanthosh
DeclinedPginer-WMF
ResolvedAmire80
ResolvedAmire80
OpenNone
ResolvedNone
Resolved Nikerabbit
Resolved Nikerabbit
DeclinedNone
Resolvedsanthosh
Resolvedori
DeclinedNone
Resolvedtomasz
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
Resolvedbrion
DeclinedNone
DeclinedNone

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:13 PM
bzimport set Reference to bz25815.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Nov 6 2010, 6:13 PM

I'd like to have a better language selector first if the problem really is that people are unable to go the preferences and switch it there.

Niklas, what do you think a better language selector would look like?

I don't know how good language selector would look like, but the current one could perhaps be made better by allowing typed input with autocompletion (while also retaining the select input). Someone in the WMF office was working on something like that.

bugs wrote:

(In reply to comment #3)

I don't know how good language selector would look like, but the current one
could perhaps be made better by allowing typed input with autocompletion (while
also retaining the select input). Someone in the WMF office was working on
something like that.

Maybe http://www.gpaumier.org/blog/628_universal-language-picker/ ?

(In reply to comment #1)

I'd like to have a better language selector first if the problem really is that
people are unable to go the preferences and switch it there.

I agree and I think the account creation page should stay as simple as it is, although if we decide to make it more complex this would be the first (and only?) preference to add. See also bug 30442 comment 23 and bug 30442 comment 34.

I think limiting this to the account creation page is wrong in the first place.

When a user visits a wiki in another language for the first time, the entire ui is in another language... how does the user even reach the create account page when he can't read any of the links?

Sure, the links are in consistent locations, and you can modify the url. But what if the user is new, not a power user. What if they haven't been around and we've changed things around a little. Relying on the user to stumble around just to get to that point is a bad experience to put users through, and not a good level of usability.

Rather than talking about adding this to the userpage. I think there should be a way to change the current language from ANY page in the wiki. So you can change your lang, see where the login / create account link is, follow it, and by the time you're on the create account page it ALREADY knows what language it's going to set your default to.

Oh, and user preferences? I just logged into a foreign lang Wikipedia, I have NO clue which one of those 6 mystery links leads to the preferences page. My first guess was wrong. That would be a bad UI.

I'm thinking of something somewhere in the ui. That universal language picker input would be available from it, whether it's right in the page or clicking on it opens it up.

This kind of code could be used to let it grab what languages it should bring to the top when typing. Perhaps the input could have a list of these languages right after it to give the user a quick way to access the languages their browser says are what they want.
https://gist.github.com/1306599
http://trunk.new.wiki-tools.com/lang.php

The (new) api module action=createaccount allows setting the language while creating the account, so the ui should allow it also.

Meno25 removed a subscriber: Meno25.Jan 17 2017, 3:48 PM
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 5:57 PM